Bug 1078808

Summary: lightdm: RFE: add support for starting X inside a user session for: https://fedoraproject.org/wiki/Changes/XorgWithoutRootRights
Product: [Fedora] Fedora Reporter: Hans de Goede <hdegoede>
Component: lightdmAssignee: Alternative GTK desktop environments <alt-gtk-de-sig>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bastiaan, cwickert, dan.mashal, dominik, gregor, kevin, leigh123linux, mathstuf, rdieter
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1078902    

Description Hans de Goede 2014-03-20 10:45:11 UTC
Hi,

Please add support for starting X inside a user session, so the Xorg can work without being suid root, for more details see:

https://fedoraproject.org/wiki/Changes/XorgWithoutRootRights

An upstream bug for this is here:
https://bugs.launchpad.net/lightdm/+bug/1292324

Thanks & Regards,

Hans

Comment 1 leigh scott 2017-05-18 19:50:09 UTC
Bump, any progress in the last 3 years?

Comment 2 Fedora Admin XMLRPC Client 2017-05-19 15:31:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2017-07-05 20:38:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 leigh scott 2018-05-14 14:37:42 UTC
*** Bug 1577646 has been marked as a duplicate of this bug. ***